package main

import "time"

import (
	"frigate/uptime/config"
	"frigate/uptime/notify"
)

func main() {
	var uptimeConfig = config.ReadConfig("config/config.yaml")
	var pingInterval = time.Duration(uptimeConfig.PingIntervalSeconds * int64(time.Second))
	var pingTimeout = time.Duration(uptimeConfig.PingTimeoutSeconds * int64(time.Second))

	var cameraMonitor CameraMonitor = NewCameraMonitor(pingInterval, pingTimeout, uptimeConfig.ConsecutiveDownThreshold, uptimeConfig.NotificationRepeatThreshold, notify.NewNtfyNotifier())
	cameraMonitor.Run(uptimeConfig.Cameras)
}
