import asyncio
import logging
import logging.config

from uptime.utils.logging import configure_logging
from uptime.monitor import CameraMonitor

configure_logging()
logger = logging.getLogger(__name__)


async def main() -> None:
    camera_monitor = CameraMonitor()
    await camera_monitor.run()

def entrypoint() -> None:
    try:
        asyncio.run(main())
    except KeyboardInterrupt:
        logger.info("Received Ctrl+C, exiting...")


if __name__ == "__main__":
    entrypoint()

